<?php
session_start();
include "verifica.php";

@$xempleado=trim($_REQUEST['xempleado']);
@$xnombres=trim($_REQUEST['xnombres']);
@$xclave=md5(trim($_REQUEST['xclave']));
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xcompras=$_REQUEST['xcompras'];
if($xcompras!=1){
	$xcompras=0;
}

@$xventas=$_REQUEST['xventas'];
if($xventas!=1){
	$xventas=0;
}

@$xalmacen=$_REQUEST['xalmacen'];
if($xalmacen!=1){
	$xalmacen=0;
}

@$xcaja=$_REQUEST['xcaja'];
if($xcaja!=1){
	$xcaja=0;
}

@$xconfiguracion=$_REQUEST['xconfiguracion'];
if($xconfiguracion!=1){
	$xconfiguracion=0;
}


include "../conexion.php";

$usu = new Usuario;

switch($xaccion){
	
	case "adicionar": 
		if($usu->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Usuario creado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($usu->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Usuario modificado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($usu->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Usuario eliminado satisfactoriamente.")
			parent.location.href="../usuarios.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($usu->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Usuario{

	//Adiciona nuevo
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xclave, $xcompras, $xventas, $xalmacen, $xcaja, $xconfiguracion, $xusuario_sesion, $xempleado;		

		$rver = mysqli_query($conexion,"SELECT * FROM usuarios WHERE usu_nombre='$xnombres';");
		if( mysqli_num_rows($rver)){
			?>			
			<script language="javascript">
			alert("Advertencia: El nombre de usuario ya existe.")
			</script>			
			<?php
		}else{

			$r = mysqli_query($conexion,"insert into usuarios (usu_nombre, 
															usu_clave,
															usu_compras,
															usu_ventas,
															usu_almacen,
															usu_caja,
															usu_configuracion,
															usu_usu_crea,
															per_codi_fk)
											values ('$xnombres', 
													'$xclave',
													$xcompras, 
													$xventas, 
													$xalmacen, 
													$xcaja, 
													$xconfiguracion,
													'$xusuario_sesion',
													$xempleado);");
		}
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xclave, $xcompras, $xventas, $xalmacen, $xcaja, $xconfiguracion, $xusuario_sesion, $xempleado;
		
		if(trim($xclave)==""){
		
			$r = mysqli_query($conexion,"update usuarios set usu_compras = '$xcompras',
															usu_ventas = '$xventas',
															usu_almacen = '$xalmacen',
															usu_caja = '$xcaja',
															usu_configuracion = '$xconfiguracion',
															usu_usu_modifica = '$xusuario_sesion',
															per_codi_fk = $xempleado
											where usu_codi = $xid;");
		
		}else{

			$r = mysqli_query($conexion,"update usuarios set usu_clave = '$xclave',
															usu_compras = '$xcompras',
															usu_ventas = '$xventas',
															usu_almacen = '$xalmacen',
															usu_caja = '$xcaja',
															usu_configuracion = '$xconfiguracion',
															usu_usu_modifica = '$xusuario_sesion',
															per_codi_fk = $xempleado															
											where usu_codi = $xid;");
		}
				
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from usuarios where usu_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"update usuarios set usu_estado = '$xestado',
												     usu_usu_activa = '$xusuario_sesion'			
													where usu_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
